Subject: bug#66223: treesit-major-mode-setup should not call font-lock-mode

From: Yuan Fu <[email-masked]>
Date: Sun, 8 Oct 2023 16:03:27 -0700

> On Sep 27, 2023, at 5:23 PM, Yuan Fu <[email-masked]> wrote:
> 
> 
> 
>> On Sep 27, 2023, at 1:51 AM, Dmitry Gutov <[email-masked]> wrote:
>> 
>> On 27/09/2023 10:21, Yuan Fu wrote:
>>> Makes sense. We can remove that line in master, and see if anything comes up. I don’t remember why I added it, I don’t think there was any particular reason.
>> 
>> If we have to start on master, so be it. I'd like to see the fix in emacs-29, though (at least eventually).
> 
> Yeah, let’s test this out on master for a while and apply it to emacs-29 if no one comes up and complain. It seems to me that 29.2 is still a while away.

I have been running with the fix for awhile and didn’t notice anything. No one seems to have complained either. (Hopefully there are people building master and running tree-sitter modes other than me ;-)

I think we can apply this to emacs-29. Is there anything I should do? Do we just cheery-pick the commit into emac-29, or there are more elaborate operations required?

Yuan